/**************************************************************************
 *{@C
 *      Copyright:      1988-2024 Paul Obermeier (obermeier@poSoft.de)
 *
 *      Module:         FileFormats
 *      Filename:       FF_ImagePoSoft.h
 *
 *      Author:         Paul Obermeier
 *
 *      Description:    Functions for reading and writing image files in
 *                      poSoft's file format.
 *
 *      Additional documentation:
 *                      None.
 *
 **************************************************************************/

#ifndef __FF_IMAGEPOSOFT_H__
#define __FF_IMAGEPOSOFT_H__

#include "UT_Compat.h"

extern UT_Bool FF_ImgOpenWritePoSoft (const char *, FF_ImgFileDesc *);
extern UT_Bool FF_ImgOpenReadPoSoft  (const char *, FF_ImgFileDesc *);

#endif /* __FF_IMAGEPOSOFT_H__ */
