/**************************************************************************
 *{@C
 *      Copyright:      1988-2024 Paul Obermeier (obermeier@poSoft.de)
 *
 *      Module:         Utilities
 *      Filename:       UT_RandomPrivate.h
 *
 *      Author:         Paul Obermeier
 *
 *      Description:    Private declarations for the random number generator.
 *
 *      Additional documentation:
 *                      None.
 *
 **************************************************************************/

#ifndef __UT_RANDOMPRIVATE_H__
#define __UT_RANDOMPRIVATE_H__

#include "UT_Compat.h"

typedef struct randomGen {
    UInt16 r0;
    UInt16 r1;
    UInt16 r2;
} RandomGen;

#endif /* __UT_RANDOMPRIVATE_H__ */
