/**************************************************************************
 *{@C
 *      Copyright:      1988-2024 Paul Obermeier (obermeier@poSoft.de)
 *
 *      Module:         Utilities
 *      Filename:       UTT_SwatchTclIf.h
 *
 *      Author:         Paul Obermeier
 *
 *      Description:    Declaration of general Tcl wrapper functions.
 *
 *      Additional documentation:
 *                      None.
 *
 **************************************************************************/

#ifndef __UTT_SWATCHTCLIF_H__
#define __UTT_SWATCHTCLIF_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <tcl.h>
#include "UT_Compat.h"
#include "UTT_TclIf.h"

extern POIMG_IMPORT_EXPORT int UTT_InitTclSwatchLib (Tcl_Interp *interp);

#ifdef __cplusplus
}
#endif

#endif /* __UTT_SWATCHTCLIF_H__ */
