/**************************************************************************
 *{@C
 *      Copyright:      1988-2024 Paul Obermeier (obermeier@poSoft.de)
 *
 *      Module:         Utilities
 *      Filename:       UT_ErrPrivate.h
 *
 *      Author:         Paul Obermeier
 *
 *      Description:    Declaration of private data used by the
 *                      error handling library.
 *
 *      Additional documentation:
 *                      None.
 *
 **************************************************************************/

#ifndef __UT_ERRPRIVATE_H__
#define __UT_ERRPRIVATE_H__

#include "UT_Compat.h"

extern UT_ErrBase *UT_ErrGlobalList;  /* Start of linked list of UT_ErrBase's */
extern UT_Bool     UT_ErrInitialized; /* True after first call to UT_ErrInit */

#endif /* __UT_ERRPRIVATE_H__ */
